2012年2月8日 星期三

AWS PHP SDK缺少DOM套件解決辦法

服務平台:Amazon Web Service(AWS)
環境:Amazon Elastic Compute Cloud (Amazon EC2)

工具:putty

在執行「/aws-sdk-for-php/_compatibility_test/sdk_compatibility_test.php」可以測得出使用AWS套件的最低需求為何,但把套件上傳至EC2時發現缺少的「DOM(What You Have:Disabled)」的套件,所以我們必須要在EC2安裝此套件

Minimum Requirements

Test Should Be What You Have
PHP 5.2 or newer 5.3.8
cURL 7.15.0 or newer, with SSL 7.21.7 (OpenSSL/1.0.0e)
SimpleXML Enabled Enabled
DOM Enabled Disabled
SPL Enabled Enabled
JSON Enabled Enabled
PCRE Enabled Enabled
File System Read/Write Enabled Enabled



  1. 切換至管理者:[[email protected] ~]$ sudo -s
  2. 安裝php-xml套件:[[email protected] ~]# yum install php-xml
  3. 安裝完畢執行「/aws-sdk-for-php/_compatibility_test/sdk_compatibility_test.php」檢查AWS SDK最低需求是否符合 ,「DOM為Enabled(What You Have: Enabled )」即表示完成了


Minimum Requirements

Test Should Be What You Have
PHP 5.2 or newer 5.3.8
cURL 7.15.0 or newer, with SSL 7.21.7 (OpenSSL/1.0.0e)
SimpleXML Enabled Enabled
DOM Enabled Enabled
SPL Enabled Enabled
JSON Enabled Enabled
PCRE Enabled Enabled
File System Read/Write Enabled Enabled

沒有留言:

張貼留言

ADS